> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Detailed Record



## OpenAPI

````yaml /api-reference/openapi-filtered.json get /insight/{rec_id}/
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/{rec_id}/:
    get:
      tags:
        - insight
      summary: Get Detailed Record
      operationId: get_detailed_record_insight__rec_id___get
      parameters:
        - name: rec_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rec Id
        - name: version
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Version
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetailedReportResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DetailedReportResponse:
      properties:
        id:
          type: string
          title: Id
        status:
          type: string
          title: Status
        name:
          type: string
          title: Name
        size_mb:
          type: number
          title: Size Mb
        is_public:
          type: boolean
          title: Is Public
        last_version:
          type: integer
          title: Last Version
        file_extension:
          type: string
          title: File Extension
        expected_tokens:
          anyOf:
            - $ref: '#/components/schemas/Costs'
            - type: 'null'
        setup:
          anyOf:
            - $ref: '#/components/schemas/DefinedContext'
            - type: 'null'
        transcripts:
          items:
            $ref: '#/components/schemas/Transcript'
          type: array
          title: Transcripts
        profile:
          anyOf:
            - $ref: '#/components/schemas/Profile'
            - type: 'null'
        insights:
          anyOf:
            - $ref: '#/components/schemas/Insights'
            - type: 'null'
        jtbd:
          anyOf:
            - $ref: '#/components/schemas/JTBD'
            - type: 'null'
        recommendations:
          anyOf:
            - $ref: '#/components/schemas/Recommendations'
            - type: 'null'
        qa_report:
          anyOf:
            - type: string
            - type: 'null'
          title: Qa Report
        persona_report:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona Report
        custom_report:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Report
        jtbd_markdown_report:
          anyOf:
            - type: string
            - type: 'null'
          title: Jtbd Markdown Report
        available_versions:
          anyOf:
            - additionalProperties:
                items:
                  type: integer
                type: array
              type: object
            - type: 'null'
          title: Available Versions
      type: object
      required:
        - id
        - status
        - name
        - size_mb
        - is_public
        - last_version
        - file_extension
        - setup
        - transcripts
        - profile
        - insights
        - jtbd
        - recommendations
      title: DetailedReportResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Costs:
      properties:
        price_with_transcript:
          type: number
          title: Price With Transcript
        price_with_report:
          type: number
          title: Price With Report
      type: object
      required:
        - price_with_transcript
        - price_with_report
      title: Costs
    DefinedContext:
      properties:
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
        report_language:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Language
        participant_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participant Count
        respondent_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Respondent Count
        respondent_known_names:
          items:
            type: string
          type: array
          title: Respondent Known Names
        is_with_transcript:
          type: boolean
          title: Is With Transcript
          default: false
        is_with_insight_report:
          type: boolean
          title: Is With Insight Report
          default: false
        goals:
          anyOf:
            - type: string
            - type: 'null'
          title: Goals
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        guide:
          anyOf:
            - type: string
            - type: 'null'
          title: Guide
        custom_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Prompt
      type: object
      required:
        - language
        - report_language
        - participant_count
        - respondent_count
        - respondent_known_names
        - goals
        - notes
        - guide
        - custom_prompt
      title: DefinedContext
    Transcript:
      properties:
        id:
          type: integer
          title: Id
        is_respondent:
          type: boolean
          title: Is Respondent
        known_name:
          type: string
          title: Known Name
        speaker:
          type: string
          title: Speaker
        start_in_ms:
          type: integer
          title: Start In Ms
        end_in_ms:
          type: integer
          title: End In Ms
        text:
          type: string
          title: Text
      type: object
      required:
        - id
        - is_respondent
        - known_name
        - speaker
        - start_in_ms
        - end_in_ms
        - text
      title: Transcript
    Profile:
      properties:
        general_info:
          $ref: '#/components/schemas/GeneralProfileInfo'
        goals:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Goals
        motivations:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Motivations
        pain_points:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Pain Points
        emotions:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Emotions
        tools:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Tools
      type: object
      required:
        - general_info
        - goals
        - motivations
        - pain_points
        - emotions
        - tools
      title: Profile
    Insights:
      properties:
        key_insights:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Key Insights
        barriers:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Barriers
        engagements:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Engagements
        expectations:
          items:
            $ref: '#/components/schemas/ExampledDescription'
          type: array
          title: Expectations
      type: object
      required:
        - key_insights
        - barriers
        - engagements
        - expectations
      title: Insights
    JTBD:
      properties:
        identified_jobs:
          items:
            $ref: '#/components/schemas/Job'
          type: array
          title: Identified Jobs
        solutions:
          items:
            $ref: '#/components/schemas/SolutionsDescription'
          type: array
          title: Solutions
        outcomes:
          items:
            $ref: '#/components/schemas/SolutionsDescription'
          type: array
          title: Outcomes
      type: object
      required:
        - identified_jobs
        - solutions
        - outcomes
      title: JTBD
    Recommendations:
      properties:
        actionable_steps:
          items:
            $ref: '#/components/schemas/SolutionsDescription'
          type: array
          title: Actionable Steps
        product_improvements:
          items:
            $ref: '#/components/schemas/SolutionsDescription'
          type: array
          title: Product Improvements
        service_enhancements:
          items:
            $ref: '#/components/schemas/SolutionsDescription'
          type: array
          title: Service Enhancements
      type: object
      required:
        - actionable_steps
        - product_improvements
        - service_enhancements
      title: Recommendations
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GeneralProfileInfo:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        age:
          anyOf:
            - type: integer
            - type: 'null'
          title: Age
        professional_experience:
          anyOf:
            - type: string
            - type: 'null'
          title: Professional Experience
        current_role:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Role
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - professional_experience
        - current_role
        - description
      title: GeneralProfileInfo
    ExampledDescription:
      properties:
        title:
          type: string
          title: Title
        text:
          type: string
          title: Text
        dialog_examples:
          items:
            $ref: '#/components/schemas/TranscriptExample'
          type: array
          title: Dialog Examples
          default: []
        score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Score
      type: object
      required:
        - title
        - text
      title: ExampledDescription
    Job:
      properties:
        title:
          type: string
          title: Title
        examples:
          items:
            $ref: '#/components/schemas/TranscriptExample'
          type: array
          title: Examples
        job_story_when:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Story When
        job_story_want:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Story Want
        job_story_so_that:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Story So That
        dominant_solution:
          anyOf:
            - type: string
            - type: 'null'
          title: Dominant Solution
        problems_with_current_solution:
          anyOf:
            - type: string
            - type: 'null'
          title: Problems With Current Solution
        emotions:
          anyOf:
            - type: string
            - type: 'null'
          title: Emotions
        sub_jobs:
          items:
            $ref: '#/components/schemas/Job'
          type: array
          title: Sub Jobs
          default: []
      type: object
      required:
        - title
        - examples
        - job_story_when
        - job_story_want
        - job_story_so_that
        - dominant_solution
        - problems_with_current_solution
        - emotions
      title: Job
    SolutionsDescription:
      properties:
        title:
          type: string
          title: Title
        solutions:
          items:
            $ref: '#/components/schemas/Solution'
          type: array
          title: Solutions
      type: object
      required:
        - title
        - solutions
      title: SolutionsDescription
    TranscriptExample:
      properties:
        id:
          type: integer
          title: Id
        text:
          type: string
          title: Text
      type: object
      required:
        - id
        - text
      title: TranscriptExample
    Solution:
      properties:
        prefix_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Prefix Text
        text:
          type: string
          title: Text
      type: object
      required:
        - prefix_text
        - text
      title: Solution
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````